IDRegistry.genItemID ('magical_shovel');
Item.createItem ('magical_shovel', 'Magical shovel', {
	name: 'magical_shovel', meta: 0
}, {
	stack: 1
});

Tool.add (ItemID.magical_shovel, ['dirt'], {
	material: 'magical',
	durability: 871,
	damage: 1,
	enchant: {
		type: Native.EnchantType.shovel,
		max: 10
	},
	useItem: function (coords, item, block) {
		if (block.id == 2 && coords.side == 1) {
			World.setBlock (coords.x, coords.y, coords.z, 198);
			World.playSound (coords.x, coords.y, coords.z, 'step.grass', 1, 1);
			MCAPI.Tool.broke (1);
		}
	}
});
